package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.mark.entity.ScanBatch;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanBatchMapper extends BaseMapper<ScanBatch> {

	void updateAssignedCount(@Param("id") Long id);

	void updateScanCount(@Param("id") Long id);

	Integer findStudentCountByBatch(@Param("batchId")Long batchId);

}
